heading_update.h File Reference
`#include <ubuntu/visibility.h>`
`#include <stdbool.h>`
`#include <stdint.h>`
Include dependency graph for heading_update.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct UbuntuApplicationLocationHeadingUpdate | UALocationHeadingUpdate
| Opaque type encapsulating a heading update. More...

## Functions

UBUNTU_DLL_PUBLIC void | ua_location_heading_update_ref (UALocationHeadingUpdate *update)
| Increments the reference count of the heading update instance. More...
UBUNTU_DLL_PUBLIC void | ua_location_heading_update_unref (UALocationHeadingUpdate *update)
| Decrements the reference count of the heading update instance. More...
UBUNTU_DLL_PUBLIC uint64_t | ua_location_heading_update_get_timestamp (UALocationHeadingUpdate *update)
| Queries the timestamp of the heading update. More...
UBUNTU_DLL_PUBLIC double | ua_location_heading_update_get_heading_in_degree (UALocationHeadingUpdate *update)
| Queries the new heading from the update. More...